7 Replies Latest reply on Oct 30, 2007 12:19 PM by Tracey Somo

    jbossws-2.0.0.GA released

    Thomas Diesler Master

      As of this post I am happy to anounce that jbossws-2.0.0.GA is released. This is the first fully certified JAXWS web services implemenation.

      It runs on jboss-5.0.x, jboss-4.2.0, jboss-4.0.5

      JAXWS brings to web services what EJB3 brings to EJB. With its greatly simplified programming model and functional enhancements it is desigend to take the place of previous JAX-RPC web service implementations.

      Details of how to download and install the new stack can be found in our new wiki
      http://jbws.dyndns.org/mediawiki/index.php/Main_Page

      To get started please have a look at the Quick Start and User Guide
      http://jbws.dyndns.org/mediawiki/index.php/Quick_Start
      http://jbws.dyndns.org/mediawiki/index.php/JAX-WS_User_Guide

      If you don't know it already, you'll be surprised how easy it is to do Web Services.

      I'd like to thank the team and the many contributors for all the hard work to make this release possible.

      Enjoy

        • 1. Re: jbossws-2.0.0.GA install issues
          Jeffrey Kessler Newbie

          I am trying to install jbossws-2.0.0.GA on a Windows box with JBoss 5.0 Beta 2. I am running JDK 1.5

          It seems that the install scripts have changed with this version but the docs have not been updated. I updated the ant.properties file and then ran the build.bat script. This script returned no errors or success messages. JBossWS 2.0 was not installed.

          Please advise.

          • 2. Re: jbossws-2.0.0.GA released
            Thomas Diesler Master

            The supported target containers are

            jboss-5.0.0.Beta2 https://svn.jboss.org/repos/jbossas/tags/JBoss_5_0_0_Beta2_JBossWS_2_0_0_GA
            jboss-4.2.0.GA https://svn.jboss.org/repos/jbossas/tags/JBoss_4_2_0_GA
            jboss-4.0.5.GA https://svn.jboss.org/repos/jbossas/tags/JBoss_4_0_5_GA
            


            You cannot use jbossas/trunk due to recent changes in the deployer archtecture.
            Plain JBoss_5_0_0_Beta2 does not work either due to missing EE5 enhancements.


            • 3. Re: jbossws-2.0.0.GA released
              Mario Valentim Junior Newbie

              Hello,

              I'm currently having some troubles with the WebServiceContext injection, and I saw that this release fixes this problem. The project that I work for is using jboss as 4.0.4, and I saw here: http://wiki.jboss.org/wiki/Wiki.jsp?page=JBossWSLegacyDocumentation
              that this version partially (?) supports the 2.0.0 version. Is this correct or am I misunderstood? Will I have any kind of issues with these 2 softwares working together?

              • 4. Re: jbossws-2.0.0.GA released
                Kamil Gho Newbie

                Thomas,

                The install procedure is not working.
                1) Downloaded JBOSS 4.0.5 GA
                2) Downloaded jboss-2.0.0GA
                3) Run build - it did not work - No errors or success reported
                4) run ant after making changes to ant.properties and it built everything but did not deply.

                I wish you can post a more accurate procedure.
                I saw your reply on "jboss/trunk" - What do you mean by that?

                Regards,
                K

                • 5. Re: jbossws-2.0.0.GA released
                  jwcone Newbie

                  Huh, it worked for me. I installed jbossws-native-2.0.0.GA into JBoss 4.2.0.GA, earlier; it solved my @Resource WebServiceContext issue, so I'm pleased.

                  I'm migrating some services from JBoss.NET, which is a pain because they were using RPC/Encoded and saving state with HTTP sessions/cookies -- I'm changing the services to use Document/Literal, but unless I wanted to throw out a bunch of business-layer code I had to retain the use of state, somehow. Injecting the WebServiceContext let me do that.

                  I like the JBossWS/JAX-WS stack better than the JBoss.NET/Axis stack. Exposing web services with a Stateless session bean is effortless.

                  • 6. Re: jbossws-2.0.0.GA released
                    freak hagga Newbie

                    On jboss-4.0.5.GA:

                    1. installed jbossws-native-2.0.0.GA into jboss-4.0.5.GA (ant deploy-jboss40) and jboss throws exceptions as per JIRA http://jira.jboss.org/jira/browse/JBWS-1749.

                    2. installed jbossws-1.2 into jboss-4.0.5.GA and now wsconsume fails to work, it throws a NoClassDefFound on org.jboss.ws.tools.jaxws.impl.SunRIConsumerFactoryImpl ?

                    It really seems that jboss-4.0.5.GA has no web-services ...

                    -rock-7

                    • 7. Re: jbossws-2.0.0.GA released
                      Tracey Somo Newbie

                      >2. installed jbossws-1.2 into jboss-4.0.5.GA and now wsconsume fails to work, it throws a NoClassDefFound on org.jboss.ws.tools.jaxws.impl.SunRIConsumerFactoryImpl ?


                      I'm able to run web services using the dynamic proxy, but when I try to pre-gen the client classes with wsconsume, I get this exception as well.


                      I'm on jboss-4.0.5GA and jbossws-1.2.1.GA.

                      I had previously installed 2.0.1GA, but couldn't get it to install, so I installed jbossws-1.2.1.GA instead.

                      Anybody who has had this problem get past it?

                      -Tracey